using System;
using System.Collections.ObjectModel;
using NinjaTrader.Cbi;

internal sealed class Delegate352 : MulticastDelegate
{
	public extern Collection<Exchange> Invoke(object object_0);

	public static Collection<Exchange> smethod_0(object object_0, Delegate352 delegate352_1)
	{
		return delegate352_1(object_0);
	}

	public extern Delegate352(object object_0, IntPtr intptr_0);

	static Delegate352()
	{
		Class10.smethod_13(typeof(Delegate352).TypeHandle);
	}

	internal static Delegate352 delegate352_0;
}
